package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFGU5Data {

    private Map<String, Object> params;
    
    public MWFGU5Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsCmId() {
        return (String) params.get("RS_CM_ID");
    }

    public String rsItemtype() {
        return (String) params.get("RS_ITEMTYPE");
    }

    public String rsSemanticType() {
        return (String) params.get("RS_SEMANTIC_TYPE");
    }

    public String rsCrtUsr() {
        return (String) params.get("RS_CRT_USR");
    }

    public java.util.Date rsCrtTime() {
        return (java.util.Date) params.get("RS_CRT_TIME");
    }

    public String rsChgUsr() {
        return (String) params.get("RS_CHG_USR");
    }

    public java.util.Date rsChgTime() {
        return (java.util.Date) params.get("RS_CHG_TIME");
    }

    public String rsChckoutUsr() {
        return (String) params.get("RS_CHCKOUT_USR");
    }

    public java.util.Date rsChckoutTime() {
        return (java.util.Date) params.get("RS_CHCKOUT_TIME");
    }

    public String rsIddokumentu() {
        return (String) params.get("RS_IDDOKUMENTU");
    }

    public Long rsIdklienta() {
        return (Long) params.get("RS_IDKLIENTA");
    }

    public String rsKlasifikace() {
        return (String) params.get("RS_KLASIFIKACE");
    }

    public String rsSkartacniznacka() {
        return (String) params.get("RS_SKARTACNIZNACKA");
    }

    public Long rsSkartacnilhuta() {
        return (Long) params.get("RS_SKARTACNILHUTA");
    }

    public String rsDistribuce() {
        return (String) params.get("RS_DISTRIBUCE");
    }

    public String rsPristup() {
        return (String) params.get("RS_PRISTUP");
    }

    public java.util.Date rsDatumskartace() {
        return (java.util.Date) params.get("RS_DATUMSKARTACE");
    }

    public String rsItemreference() {
        return (String) params.get("RS_ITEMREFERENCE");
    }

    public String rsNazevdokumentu() {
        return (String) params.get("RS_NAZEVDOKUMENTU");
    }

    public Long rsTypdokumentu() {
        return (Long) params.get("RS_TYPDOKUMENTU");
    }

    public String rsIdproduktu() {
        return (String) params.get("RS_IDPRODUKTU");
    }

    public String rsNazevproduktu() {
        return (String) params.get("RS_NAZEVPRODUKTU");
    }

    public String rsIdzadosti() {
        return (String) params.get("RS_IDZADOSTI");
    }

    public String rsSkupinaproduktu() {
        return (String) params.get("RS_SKUPINAPRODUKTU");
    }

    public String rsTridaproduktu() {
        return (String) params.get("RS_TRIDAPRODUKTU");
    }

    public String rsSso() {
        return (String) params.get("RS_SSO");
    }

    public String rsStav() {
        return (String) params.get("RS_STAV");
    }

    public String rsNazevdokumentuib() {
        return (String) params.get("RS_NAZEVDOKUMENTUIB");
    }

    public String rsCmVersion() {
        return (String) params.get("RS_CM_VERSION");
    }

    public String rsBinPartId() {
        return (String) params.get("RS_BIN_PART_ID");
    }

    public String rsBinPartVersion() {
        return (String) params.get("RS_BIN_PART_VERSION");
    }

    public String rsIdtransakce() {
        return (String) params.get("RS_IDTRANSAKCE");
    }

    public Long rsPrectenydokument() {
        return (Long) params.get("RS_PRECTENYDOKUMENT");
    }

    public java.util.Date rsDatumprecteni() {
        return (java.util.Date) params.get("RS_DATUMPRECTENI");
    }

    public String rsPrectenosystemem() {
        return (String) params.get("RS_PRECTENOSYSTEMEM");
    }

    public String rsPrecetluzivatel() {
        return (String) params.get("RS_PRECETLUZIVATEL");
    } 

}
